Subject: [homenet] simple-naming-03: terminology

From: "STARK, BARBARA H" <[email-masked]>
Date: Wed, 7 Nov 2018 03:31:53 +0000

I've done an individual review of simple-naming-03. I'm splitting the comments up into several emails, just in case there's anything to discuss related to each topic. It'll take me some time to get all the emails written (in between doing other things).

This email has all of my comments related to terminology.

Section 2
Name: a forward domain  under which information about local services will be published
<bhs> What is a forward domain? I can't find a definition for this term. There's forward DNS (as a process that is followed for domain name resolution), but not forward domain. It seems like this is just a domain. Maybe: 
Name: a domain name space that can be used to resolve queries for information about local (inside the homenet) services

Authority: a name server that is authoritative for at least one
      forward domain and one or two reverse domains  that are applicable
      to that network and is capable of signing and publishing the zones
      using DNSSEC
<bhs> I can't find the definition of "reverse domain", either.  Include DNSSEC reference. Could this be:
Authority: a name server that signs its DNS responses using DNSSEC [RFC4035], is authoritative for the local services domain name and for domains used for reverse DNS queries of IPv4 and IPv6 addresses of devices inside the homenet, and maintains SOA records for all zones within the local services domain

Resolution: a full-service caching DNS resolver that fully
      supports EDNS(0)  and queries with the DO  bit set
<bhs> Needs references: "... supports EDNS(0)  [RFC6891] and queries with the DNSSEC OK bit [RFC3225] set"

"publish"
<bhs> "publish" is widely used in the draft in various contexts, but I can't find a good definition of what is really meant by "publish" wrt DNS. Is there a different term that is used in DNS-related RFCs? I notice the DNS-SD RFC and dnssd roadmap don't use the term "publish".

Section 3 Terminology
<bhs> Put this before Requirements (directly after Introduction)?

HNR Homenet Router
<bhs> Should this maybe be "Homenet Router [RFC7368]"?

SHNR
<bhs> Term isn't used. But maybe it should be used in many places where "HNR" is used? And maybe it should be "Homenet Router that implements the requirements in this document".

AHNR
<bhs> Not used in document and not needed. Delete? Alternately, include reference to where AHNR is defined.

Forward Mapping  A mapping between a host name or service name and
      some information about that host or service.
<bhs> "some information" is very vague. Could this be "resource records"? And can we be explicit as to which RR is used to achieve the forward mapping? PTR?

Reverse Mapping  A mapping between an IP address and the host that
      has that IP address.
<bhs> Fuzzy definition. This is also done with PTR RR?

Homenet Domain  A domain name that is used for publishing the names
      of devices and services that are present on the homenet.  By
      default, 'home.arpa.'
<bhs> Reference at end to [RFC8375] ?

"root" and other "tree" language
There's a lot of DNS structure terminology in this doc that general readers may not be familiar with, such as "root", "tree", etc. Maybe include a reference where people can go to understand this terminology (pointed to from inside the terminology section)? I don't think you need to explain it here -- just tell people where to go.

" HNRs implementing this specification  "
<bhs> SHNR ?

stateless name service, stateful name service
<bhs> I'm not completely sure what "stateful" and "stateless" mean in the context of name services. Include in terminology with pointers to docs that define them? Is "stateful name server" the same as a name server that does DNS over TCP = RFC7766? And stateless means it doesn't do DNS over TCP? Or something else?

Name service for reverse mapping subdomains is only provided if one
   or more HNRs can provide stateful service.  If no such server is
   present, the reverse mapping subdomains are not served.  If stateful
   servers are present, the primary and secondary servers for these
   subdomains will be the same as for the homenet domain.
<bhs> I really didn't understand this paragraph. Not sure if it's a terminology issue for me.

5.2.  Link Names ...
These names are determined using HNCP .
<bhs> include reference: "...HNCP [RFC7788]"

7. Publication
Reverse mappings are published
   using Homenet Reverse Mapping Update Protocol Section 7.2.
<bhs> Include reference to draft?

8.  Host Configuration
   Each HNR provides a Homenet DNS Proxy .  
<bhs> What is a "Homenet DNS Proxy" and how does it differ from a Discovery Proxy for Multicast DNS-Based Service Discovery [draft-ietf-dnssd-hybrid]?
<bhs> nit: s/ descried  / described  /

14.  Management Considerations ...
   simply using the DNS Service Discovery
   protocol.
<bhs> Is DNS-SD really a protocol? I never thought of it as one.